/**
 * 
 */
package eu.etaxonomy.taxeditor.newWizard;

import junit.framework.Assert;

import org.eclipse.swtbot.eclipse.finder.waits.Conditions;
import org.eclipse.swtbot.swt.finder.widgets.SWTBotButton;
import org.junit.Test;

import eu.etaxonomy.taxeditor.test.AbstractEditorTest;

/**
 * @author n.hoffmann
 *
 */
public class NewTaxonWizardTest extends AbstractEditorTest {

	@Override
	public void setup() {
		super.setup();
		bot.menu("General").menu("New").menu("Taxon").click();
		bot.waitUntil(Conditions.shellIsActive("New Entity"));
	}
	
	@Test
	public void unalteredDialogCanNotBefinished() {
		boolean finishIsEnabled = bot.button("Finish").isEnabled();
		Assert.assertEquals(false, finishIsEnabled);
		utils.cancel();
	}
	
	@Test
	public void canCreateNewTaxonMinimal(){
		utils.openFilteredSelection(0, "Choose a Classification");

		SWTBotButton okButton = bot.button(1);
		bot.text(0).setText("?");
		bot.waitUntil(Conditions.widgetIsEnabled(okButton));
		utils.ok();
		bot.waitUntil(Conditions.shellIsActive("New Entity"));
		String newTaxonName = "Test taxon Smartbert";
		bot.textWithLabel("New Taxon").setText(newTaxonName);
		bot.waitUntil(Conditions.widgetIsEnabled(bot.button("Finish")));
		utils.finish();
		
//		bot.waitUntil(Conditions.waitForEditor(WithPartId.withPartId(MultiPageTaxonEditor.ID)));
//		Assert.assertEquals(newTaxonName, bot.activeEditor().getTitle());
	}
	
	

	
}
